[Numpy-discussion] ANN: NumPy 1.7.0b1 release

Ronan Lamy ronan.lamy@gmail....
Wed Aug 22 13:36:49 CDT 2012


Le mercredi 22 août 2012 à 10:59 -0600, Orion Poplawski a écrit :
> On 08/22/2012 10:26 AM, Orion Poplawski wrote:
> > On 08/22/2012 09:55 AM, Orion Poplawski wrote:
> >> On 08/21/2012 10:24 AM, Ondřej Čertík wrote:
> >>> Hi,
> >>>
> >>> I'm pleased to announce the availability of the first beta release of
> >>> NumPy 1.7.0b1.
> >>
> >> Currently in trying to support python 3.3 in Fedora Rawhide (F19) and Fedora
> >> 18 we are doing:
> >>
> >> # Regenerate Cython c sources
> >> # This is needed with numpy-1.6.2.tar.gz with python 3.3 to avoid an exception
> >> # with an import call in the generated .c file in the tarball that uses the
> >> # old default of -1:
> >> #     File "mtrand.pyx", line 126, in init mtrand
> >> (numpy/random/mtrand/mtrand.c:20679)
> >> #   ValueError: level must be >= 0
> >> # due to the changes in import in 3.3
> >> # Regenerating with a newer Cython fixes it:
> >> pushd numpy/random/mtrand/
> >> rm -v mtrand.c
> >> cython mtrand.pyx
> >> popd
> >>
> >
> > If I drop the cython generation it builds, but the python 3 test failure I get
> > now is:
> ..
> > ERROR: Ticket #16
> > ----------------------------------------------------------------------
> > Traceback (most recent call last):
> >     File
> > "/builddir/build/BUILDROOT/numpy-1.7.0-0.2.b1.fc19.x86_64/usr/lib64/python3.3/site-packages/numpy/core/tests/test_regression.py",
> > line 41, in test_pickle_transposed
> >       b = pickle.load(f)
> > EOFError
> > ======================================================================
> > ERROR: Failure: ValueError (can't handle version 187 of numpy.ndarray pickle)
> > ----------------------------------------------------------------------
> > Traceback (most recent call last):
> >     File "/usr/lib/python3.3/site-packages/nose/failure.py", line 37, in runTest
> >       raise self.exc_class(self.exc_val).with_traceback(self.tb)
> >     File "/usr/lib/python3.3/site-packages/nose/loader.py", line 232, in generate
> >       for test in g():
> >     File
> > "/builddir/build/BUILDROOT/numpy-1.7.0-0.2.b1.fc19.x86_64/usr/lib64/python3.3/site-packages/numpy/lib/tests/test_format.py",
> > line 429, in test_roundtrip
> >       arr2 = roundtrip(arr)
> >     File
> > "/builddir/build/BUILDROOT/numpy-1.7.0-0.2.b1.fc19.x86_64/usr/lib64/python3.3/site-packages/numpy/lib/tests/test_format.py",
> > line 420, in roundtrip
> >       arr2 = format.read_array(f2)
> >     File
> > "/builddir/build/BUILDROOT/numpy-1.7.0-0.2.b1.fc19.x86_64/usr/lib64/python3.3/site-packages/numpy/lib/format.py",
> > line 449, in read_array
> >       array = pickle.load(fp)
> > ValueError: can't handle version 187 of numpy.ndarray pickle
> 
> 
> I should note that I'm taking numpy/core/src/multiarray/scalarapi.c and 
> numpy/core/src/multiarray/scalartypes.c.src from git master, which I thought 
> had the fix for this.

Note that the fix is actually in numpy/core/src/multiarray/methods.c,
see https://github.com/numpy/numpy/pull/371/





More information about the NumPy-Discussion mailing list